Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.dom
Class DOMPointerFactory

    java.lang.Object
      org.apache.commons.jxpath.ri.model.dom.DOMPointerFactory

All Implemented Interfaces:
  NodePointerFactory

    public class DOMPointerFactory

extends Object
implements NodePointerFactory

Implements NodePointerFactory for DOM elements.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Field Summary
`static int` | `DOM_POINTER_FACTORY_ORDER` factory order

Constructor Summary
`DOMPointerFactory()`

Method Summary
`NodePointer` | `createNodePointer(NodePointer parent, QName name, Object bean)` Create a NodePointer for the supplied child object.
`NodePointer` | `createNodePointer(QName name, Object bean, Locale locale)` Create a NodePointer for the supplied object.
`int` | `getOrder()` The factory order number determines its position between other factories.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOM_POINTER_FACTORY_ORDER

    public static final int DOM_POINTER_FACTORY_ORDER

  factory order

  See Also:
    Constant Field Values

Constructor Detail

### DOMPointerFactory

    public DOMPointerFactory()

Method Detail

### getOrder

    public int getOrder()

  Description copied from interface: `NodePointerFactory`
  The factory order number determines its position between other factories.

  Specified by:
    `getOrder` in interface `NodePointerFactory`
  Returns:
    int order

### createNodePointer

    public NodePointer createNodePointer(QName name,
                                         Object bean,
                                         Locale locale)

  Description copied from interface: `NodePointerFactory`
  Create a NodePointer for the supplied object. The node will represent the "root" object for a path.

  Specified by:
    `createNodePointer` in interface `NodePointerFactory`
  Parameters:
    `name` - String node name
    `bean` - child object
    `locale` - Locale
  Returns:
    null if this factory does not recognize objects of the supplied type.

### createNodePointer

    public NodePointer createNodePointer(NodePointer parent,
                                         QName name,
                                         Object bean)

  Description copied from interface: `NodePointerFactory`
  Create a NodePointer for the supplied child object.

  Specified by:
    `createNodePointer` in interface `NodePointerFactory`
  Parameters:
    `parent` - parent node
    `name` - String node name
    `bean` - child object
  Returns:
    null if this factory does not recognize objects of the supplied type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.